const user = {
  state: {
    userInfo: {}
  },
  mutations: {
    setJobNo: (state, jobNo) => {
      state.userInfo.jobNo = jobNo
    },
    setTargetScore: (state, targetScore) => {
      state.userInfo.targetScore = targetScore
    },
    logout (state) {
      state.userInfo = {}
    }
  },
  actions: {
    commitJob ({commit}, jobNo) {
      commit('setJobNo', jobNo)
    },
    commitTargetScore ({commit}, targetScore) {
      commit('setTargetScore', targetScore)
    },
    logout ({commit}) {
      commit('logout')
    }
  }
}
export default user
